@file:Suppress("BooleanLiteralArgument", "ObjectPropertyName")

package com.dede.android_eggs.ui.composes.icons

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.group

private var _crowdin: ImageVector? = null

val Icons.Crowdin: ImageVector
    get() {
        if (_crowdin == null) {
            // https://simpleicons.org/?q=Crowdin
            _crowdin = materialIcon(name = "Crowdin") {
                group(pivotY = 12f, pivotX = 12f, scaleY = 0.86f, scaleX = 0.86f) {
                    materialPath {
                        moveTo(16.119f, 17.793f)
                        arcToRelative(2.619f, 2.619f, 0f, false, true, -1.667f, -0.562f)
                        curveToRelative(-0.546f, -0.436f, -1.004f, -1.09f, -1.018f, -1.858f)
                        curveToRelative(-0.008f, -0.388f, 0.414f, -0.388f, 0.414f, -0.388f)
                        lineToRelative(1.018f, -0.008f)
                        curveToRelative(0.332f, 0.008f, 0.43f, 0.47f, 0.445f, 0.586f)
                        curveToRelative(0.128f, 1.04f, 0.717f, 1.495f, 1.168f, 1.702f)
                        curveToRelative(0.273f, 0.123f, 0.204f, 0.513f, -0.362f, 0.528f)
                        close()

                        moveTo(10.424f, 12.506f)
                        lineTo(8.5f, 12.252f)
                        curveToRelative(-0.867f, -0.214f, -0.844f, -0.982f, -0.807f, -1.247f)
                        arcToRelative(5.119f, 5.119f, 0f, false, true, 0.814f, -2.125f)
                        curveToRelative(0.545f, -0.804f, 1.303f, -1.508f, 2.29f, -2.073f)
                        curveToRelative(1.856f, -1.074f, 4.45f, -1.673f, 7.31f, -1.673f)
                        curveToRelative(2.09f, 0f, 4.256f, 0.27f, 4.29f, 0.27f)
                        curveToRelative(0.197f, 0.025f, 0.328f, 0.213f, 0.333f, 0.437f)
                        arcToRelative(0.377f, 0.377f, 0f, false, true, -0.355f, 0.393f)
                        lineToRelative(-0.92f, -0.01f)
                        curveToRelative(-2.902f, 0f, -4.968f, 0.394f, -6.506f, 1.248f)
                        curveToRelative(-1.527f, 0.837f, -2.57f, 2.117f, -3.287f, 4.012f)
                        curveToRelative(-0.076f, 0.163f, -0.335f, 1.12f, -1.24f, 1.022f)
                        close()

                        moveTo(12.957f, 20.329f)
                        curveToRelative(-1.44f, 0f, -2.797f, -0.622f, -3.825f, -1.746f)
                        curveToRelative(-0.87f, -0.96f, -1.397f, -1.931f, -1.493f, -3.164f)
                        curveToRelative(-0.06f, -0.813f, 0.3f, -1.094f, 0.788f, -1.044f)
                        lineToRelative(1.988f, 0.218f)
                        curveToRelative(0.45f, 0.092f, 0.75f, 0.34f, 0.825f, 0.854f)
                        curveToRelative(0.397f, 2.736f, 2.122f, 3.814f, 3.15f, 4.046f)
                        curveToRelative(0.18f, 0.042f, 0.292f, 0.157f, 0.283f, 0.365f)
                        arcToRelative(0.412f, 0.412f, 0f, false, true, -0.322f, 0.398f)
                        curveToRelative(-0.458f, 0.074f, -0.936f, 0.073f, -1.394f, 0.073f)
                        close()

                        moveTo(8.856f, 22.747f)
                        arcToRelative(14.216f, 14.216f, 0f, false, true, -2.307f, -0.214f)
                        curveToRelative(-1.202f, -0.214f, -2.208f, -0.582f, -3.072f, -1.13f)
                        curveTo(1.41f, 20.095f, 0.163f, 17.786f, 0.014f, 15.048f)
                        curveToRelative(-0.037f, -0.65f, -0.11f, -1.89f, 1.427f, -1.797f)
                        curveToRelative(0.638f, 0.033f, 1.653f, 0.343f, 2.368f, 0.548f)
                        curveToRelative(0.887f, 0.247f, 1.314f, 0.933f, 1.314f, 1.608f)
                        curveToRelative(0f, 3.858f, 3.494f, 6.408f, 5.02f, 6.408f)
                        curveToRelative(0.654f, 0f, 0.414f, 0.701f, 0.127f, 0.779f)
                        curveToRelative(-0.502f, 0.136f, -1.15f, 0.153f, -1.413f, 0.153f)
                        close()

                        moveTo(3.525f, 11.419f)
                        curveToRelative(-0.605f, -0.109f, -1.194f, -0.358f, -1.768f, -0.5f)
                        curveTo(-0.018f, 10.479f, 0.284f, 8.688f, 0.45f, 8.196f)
                        curveToRelative(1.617f, -4.757f, 6.746f, -6.35f, 10.887f, -6.773f)
                        curveToRelative(3.898f, -0.4f, 7.978f, -0.092f, 11.778f, 0.967f)
                        curveToRelative(0.31f, 0.083f, 1.269f, 0.327f, 0.718f, 0.891f)
                        curveToRelative(-0.35f, 0.358f, -1.7f, -0.016f, -2.073f, -0.041f)
                        curveToRelative(-2.23f, -0.167f, -4.434f, -0.192f, -6.656f, 0.15f)
                        curveToRelative(-2.349f, 0.357f, -4.768f, 1.099f, -6.71f, 2.665f)
                        curveToRelative(-0.938f, 0.758f, -1.76f, 1.723f, -2.313f, 2.866f)
                        curveToRelative(-0.144f, 0.3f, -0.256f, 0.6f, -0.354f, 0.9f)
                        curveToRelative(-0.11f, 0.327f, -0.47f, 1.91f, -2.215f, 1.6f)
                        close()

                        moveTo(13.465f, 12.336f)
                        curveToRelative(0.332f, -1.488f, 1.81f, -3.848f, 6.385f, -3.686f)
                        curveToRelative(1.05f, 0.033f, 0.57f, 0.749f, 0.052f, 0.731f)
                        curveToRelative(-2.586f, -0.09f, -3.815f, 1.578f, -4.457f, 3.27f)
                        curveToRelative(-0.219f, 0.546f, -0.68f, 0.626f, -1.271f, 0.53f)
                        curveToRelative(-0.415f, -0.074f, -0.866f, -0.123f, -0.71f, -0.846f)
                        close()
                    }
                }
            }
        }
        return _crowdin!!
    }
