/*
 * Copyright 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.dede.android_eggs.ui.composes.icons.rounded

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector
import com.dede.android_eggs.ui.composes.icons.materialIcon

public val Icons.Rounded.FamilyStar: ImageVector
    get() {
        if (_familyStar != null) {
            return _familyStar!!
        }
        _familyStar = materialIcon(
            name = "Rounded.FamilyStar",
            viewportWidth = 960.0f,
            viewportHeight = 960.0f
        ) {
            materialPath {
                moveTo(480.0f, 640.0f)
                quadToRelative(48.0f, 0.0f, 85.5f, -28.5f)
                reflectiveQuadTo(620.0f, 538.0f)
                lineTo(340.0f, 538.0f)
                quadToRelative(17.0f, 45.0f, 54.5f, 73.5f)
                reflectiveQuadTo(480.0f, 640.0f)
                close()
                moveTo(380.0f, 480.0f)
                quadToRelative(25.0f, 0.0f, 42.5f, -17.5f)
                reflectiveQuadTo(440.0f, 420.0f)
                quadToRelative(0.0f, -25.0f, -17.5f, -42.5f)
                reflectiveQuadTo(380.0f, 360.0f)
                quadToRelative(-25.0f, 0.0f, -42.5f, 17.5f)
                reflectiveQuadTo(320.0f, 420.0f)
                quadToRelative(0.0f, 25.0f, 17.5f, 42.5f)
                reflectiveQuadTo(380.0f, 480.0f)
                close()
                moveTo(580.0f, 480.0f)
                quadToRelative(25.0f, 0.0f, 42.5f, -17.5f)
                reflectiveQuadTo(640.0f, 420.0f)
                quadToRelative(0.0f, -25.0f, -17.5f, -42.5f)
                reflectiveQuadTo(580.0f, 360.0f)
                quadToRelative(-25.0f, 0.0f, -42.5f, 17.5f)
                reflectiveQuadTo(520.0f, 420.0f)
                quadToRelative(0.0f, 25.0f, 17.5f, 42.5f)
                reflectiveQuadTo(580.0f, 480.0f)
                close()
                moveTo(305.0f, 256.0f)
                lineToRelative(112.0f, -145.0f)
                quadToRelative(12.0f, -16.0f, 28.5f, -23.5f)
                reflectiveQuadTo(480.0f, 80.0f)
                quadToRelative(18.0f, 0.0f, 34.5f, 7.5f)
                reflectiveQuadTo(543.0f, 111.0f)
                lineToRelative(112.0f, 145.0f)
                lineToRelative(170.0f, 57.0f)
                quadToRelative(26.0f, 8.0f, 41.0f, 29.5f)
                reflectiveQuadToRelative(15.0f, 47.5f)
                quadToRelative(0.0f, 12.0f, -3.5f, 24.0f)
                reflectiveQuadTo(866.0f, 437.0f)
                lineTo(756.0f, 593.0f)
                lineToRelative(4.0f, 164.0f)
                quadToRelative(1.0f, 35.0f, -23.0f, 59.0f)
                reflectiveQuadToRelative(-56.0f, 24.0f)
                quadToRelative(-2.0f, 0.0f, -22.0f, -3.0f)
                lineToRelative(-179.0f, -50.0f)
                lineToRelative(-179.0f, 50.0f)
                quadToRelative(-5.0f, 2.0f, -11.0f, 2.5f)
                reflectiveQuadToRelative(-11.0f, 0.5f)
                quadToRelative(-32.0f, 0.0f, -56.0f, -24.0f)
                reflectiveQuadToRelative(-23.0f, -59.0f)
                lineToRelative(4.0f, -165.0f)
                lineTo(95.0f, 437.0f)
                quadToRelative(-8.0f, -11.0f, -11.5f, -23.0f)
                reflectiveQuadTo(80.0f, 390.0f)
                quadToRelative(0.0f, -25.0f, 14.5f, -46.5f)
                reflectiveQuadTo(135.0f, 313.0f)
                lineToRelative(170.0f, -57.0f)
                close()
                moveTo(354.0f, 325.0f)
                lineTo(160.0f, 389.0f)
                lineTo(284.0f, 568.0f)
                lineTo(280.0f, 759.0f)
                lineTo(480.0f, 704.0f)
                lineTo(680.0f, 760.0f)
                lineTo(676.0f, 568.0f)
                lineTo(800.0f, 391.0f)
                lineTo(606.0f, 325.0f)
                lineTo(480.0f, 160.0f)
                lineTo(354.0f, 325.0f)
                close()
                moveTo(480.0f, 460.0f)
                close()
            }
        }
        return _familyStar!!
    }

private var _familyStar: ImageVector? = null
